> ## Documentation Index
> Fetch the complete documentation index at: https://docs.factiliza.com/llms.txt
> Use this file to discover all available pages before exploring further.

# DNI

> Retorna datos segun el DNI



## OpenAPI

````yaml GET /dni/info/{dni}
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.factiliza.com/v1
security:
  - bearerAuth: []
paths:
  /dni/info/{dni}:
    get:
      tags:
        - dni
      description: Retorna datos segun el DNI
      parameters:
        - name: dni
          in: path
          required: true
          style: simple
          description: El dni a consultar
          schema:
            type: string
      responses:
        '200':
          description: dni response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dni'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    dni:
      type: object
      properties:
        status:
          type: integer
          description: El código de estado de la respuesta
        success:
          type: boolean
          description: El estado de la respuesta  true o false
        message:
          type: string
          description: Mensaje de la respuesta
        data:
          type: object
          description: Datos detallados de la respuesta
          properties:
            numero:
              type: string
              description: Número de identificación (DNI)
            nombres:
              type: string
              description: Nombres de la persona
            apellido_paterno:
              type: string
              description: Apellido paterno de la persona
            apellido_materno:
              type: string
              description: Apellido materno de la persona
            nombre_completo:
              type: string
              description: Nombre completo de la persona
            departamento:
              type: string
              description: Departamento de residencia
            provincia:
              type: string
              description: Provincia de residencia
            distrito:
              type: string
              description: Distrito de residencia
            direccion:
              type: string
              description: Dirección específica
            direccion_completa:
              type: string
              description: >-
                Dirección completa, incluyendo distrito, provincia y
                departamento
            ubigeo_reniec:
              type: string
              description: Ubigeo según RENIEC
            ubigeo_sunat:
              type: string
              description: Ubigeo según SUNAT
            ubigeo:
              type: array
              description: Ubigeo desglosado por componentes
              items:
                type: string
            fecha_nacimiento:
              type: string
              format: date
              nullable: true
              description: Fecha de nacimiento de la persona
            sexo:
              type: string
              nullable: true
              description: Sexo de la persona
      example:
        status: 200
        success: true
        message: Exito
        data:
          numero: '27427864'
          nombres: JOSE PEDRO
          apellido_paterno: CASTILLO
          apellido_materno: TERRONES
          nombre_completo: CASTILLO TERRONES, JOSE PEDRO
          departamento: CAJAMARCA
          provincia: CHOTA
          distrito: TACABAMBA
          direccion: CASERIO PUÑA
          direccion_completa: CASERIO PUÑA, CAJAMARCA - CHOTA - TACABAMBA
          ubigeo_reniec: '060615'
          ubigeo_sunat: '060417'
          ubigeo:
            - '06'
            - '0604'
            - '060417'
          fecha_nacimiento: ''
          sexo: ''
    error:
      required:
        - status
        - message
        - success
      type: object
      properties:
        status:
          type: integer
          format: int32
        success:
          type: boolean
        message:
          type: string
      example:
        status: 400
        success: false
        message: Bad Request
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````